Package picard.analysis

# Class CollectOxoGMetrics

java.lang.Object
picard.cmdline.CommandLineProgram
picard.analysis.CollectOxoGMetrics

@DocumentedFeature public class CollectOxoGMetrics extends CommandLineProgram
Class for trying to quantify the CpCG->CpCA error rate.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`CollectOxoGMetrics.CpcgMetrics`
Metrics class for outputs.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`CONTEXT_SIZE`
`Set<String>`
`CONTEXTS`
`File`
`DB_SNP`
`boolean`
`INCLUDE_NON_PF_READS`
`File`
`INPUT`
`File`
`INTERVALS`
`int`
`MAXIMUM_INSERT_SIZE`
`int`
`MINIMUM_INSERT_SIZE`
`int`
`MINIMUM_MAPPING_QUALITY`
`int`
`MINIMUM_QUALITY_SCORE`
`File`
`OUTPUT`
`int`
`STOP_AFTER`
`boolean`
`USE_OQ`

### Fields inherited from class picard.cmdline.CommandLineProgram

`COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, SYNTAX_TRANSITION_URL, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

## Constructor Summary

Constructors
Constructor
Description
`CollectOxoGMetrics()`

## Method Summary

Modifier and Type
Method
Description
`protected String[]`
`customCommandLineValidation()`
Put any custom command-line validation in an override of this method.
`protected int`
`doWork()`
Do the work after command line has been parsed.
`protected boolean`
`requiresReference()`

### Methods inherited from class picard.cmdline.CommandLineProgram

`checkRInstallation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, setDefaultHeaders, useLegacyParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INPUT

@Argument(shortName="I", doc="Input SAM/BAM/CRAM file for analysis.") public File INPUT

### OUTPUT

@Argument(shortName="O", doc="Location of output metrics file to write.") public File OUTPUT

### INTERVALS

@Argument(doc="An optional list of intervals to restrict analysis to.", optional=true) public File INTERVALS

### DB_SNP

@Argument(doc="VCF format dbSNP file, used to exclude regions around known polymorphisms from analysis.", optional=true) public File DB_SNP

### MINIMUM_QUALITY_SCORE

@Argument(shortName="Q", doc="The minimum base quality score for a base to be included in analysis.") public int MINIMUM_QUALITY_SCORE

### MINIMUM_MAPPING_QUALITY

@Argument(shortName="MQ", doc="The minimum mapping quality score for a base to be included in analysis.") public int MINIMUM_MAPPING_QUALITY

### MINIMUM_INSERT_SIZE

@Argument(shortName="MIN_INS", doc="The minimum insert size for a read to be included in analysis. Set of 0 to allow unpaired reads.") public int MINIMUM_INSERT_SIZE

### MAXIMUM_INSERT_SIZE

@Argument(shortName="MAX_INS", doc="The maximum insert size for a read to be included in analysis. Set of 0 to allow unpaired reads.") public int MAXIMUM_INSERT_SIZE

### INCLUDE_NON_PF_READS

@Argument(shortName="NON_PF", doc="Whether or not to include non-PF reads.") public boolean INCLUDE_NON_PF_READS

### USE_OQ

@Argument(doc="When available, use original quality scores for filtering.") public boolean USE_OQ

### CONTEXT_SIZE

@Argument(doc="The number of context bases to include on each side of the assayed G/C base.") public int CONTEXT_SIZE

### CONTEXTS

@Argument(doc="The optional set of sequence contexts to restrict analysis to. If not supplied all contexts are analyzed.", optional=true) public Set<String> CONTEXTS

### STOP_AFTER

@Argument(doc="For debugging purposes: stop after visiting this many sites with at least 1X coverage.") public int STOP_AFTER

## Constructor Details

### CollectOxoGMetrics

public CollectOxoGMetrics()

## Method Details

### requiresReference

protected boolean requiresReference()

Overrides:
  `requiresReference` in class `CommandLineProgram`

### customCommandLineValidation

protected String[] customCommandLineValidation()
Description copied from class: `CommandLineProgram`
Put any custom command-line validation in an override of this method. clp is initialized at this point and can be used to print usage and access argv. Any options set by command-line parser can be validated.

Overrides:
  `customCommandLineValidation` in class `CommandLineProgram`
Returns:
  null if command line is valid. If command line is invalid, returns an array of error message to be written to the appropriate place.

### doWork

protected int doWork()
Description copied from class: `CommandLineProgram`
Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.

Specified by:
  `doWork` in class `CommandLineProgram`
Returns:
  program exit status.